# Uses of Interface
org.bukkit.entity.Pig

Packages that use Pig
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Pig in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Pig
Modifier and Type
Method
Description
`@NotNull Pig`
PigZapEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Pig
Modifier
Constructor
Description
``
`PigZapEvent(@NotNull Pig pig, @NotNull LightningStrike bolt, @NotNull PigZombie pigzombie)`